package main

import "fmt"

func main() {
	SdkInitState := DVR_Init()
	println(SdkInitState)
	//BallCamera := NewHIKBallCamera()
	//res := BallCamera.Login("192.168.211.49", "8000", "admin", "Max123456", "BuKongQiu")
	//if !res {
	//	fmt.Println("Login Failed")
	//	//return
	//}
	//var P, T, Z float32
	//println(BallCamera.PTZGet(&P, &T, &Z))
	Nvr := NewHIKNvr()
	res := Nvr.Login("192.168.211.124", "8000", "admin", "guanyaokeji8520", 1)
	if !res {
		fmt.Println("Login Failed")
		return
	}
	fmt.Println(Nvr.CheckTimeRegionWithMonth(2024, 10))
	fmt.Println(Nvr.CheckTimeRegionWithDay(2024, 10, 8))

}
